function [polohy_prouzky,prouzky_zacatky,prouzky_konce]=detekce_prouzku(polohy_linie,obr_med)
%% Detekce prouzku
polohy_prouzky=[];
hodnoty_prouzky=[];
prouzky_zacatky=[];
prouzky_konce=[];

for i=1:length(polohy_linie)-1
    %Vyber jedne linie z obrazu
    obr_med_linie=obr_med(:,polohy_linie(i):polohy_linie(i+1));
    %Otoceni obrazu 
    obr_med_linie=imrotate(obr_med_linie,90);
    %Prevedeni obrazu na 1D signal
    obr_linie_median=(obr_med_linie(20,:));
    %Invertovani prubehu
    obr_linie_median=1-obr_linie_median;
    %Vyhlazeni prubehu
    obr_linie_median=medfilt1(obr_linie_median, 5);    
    %Hledani lokalniho maxima
    prah=0.1*max(obr_linie_median);
    [hodnota_prouzek, poloha_prouzek]=findpeaks(obr_linie_median, 'MINPEAKDISTANCE', 5, 'MINPEAKHEIGHT', prah);
    %Ulozeni hodnoty
    hodnoty_prouzky(i,1:length(hodnota_prouzek)) = hodnota_prouzek;
    %Ulozeni polohy
    polohy_prouzky(i,1:length(poloha_prouzek)) = poloha_prouzek;
    
    %Vypocet sirky prouzku
    %Testovaci okno
    okno=3;
    for a=1:length(poloha_prouzek)
        %Inicializace rozdilu a testovaciho okna pro detekci zacatku
        test_okno=obr_linie_median(poloha_prouzek(a)-okno-1:poloha_prouzek(a));
        rozdil=abs(test_okno(1)-test_okno(okno));
        poloha_okna=1;
        % Detekce zacatku prouzku
        while rozdil~=0
            test_okno=obr_linie_median(poloha_prouzek(a)-okno-1-poloha_okna:poloha_prouzek(a)-poloha_okna);
            rozdil=abs(test_okno(1)-test_okno(okno));
            poloha_okna=poloha_okna+1;
        end
        prouzky_zacatky(i,a)=poloha_prouzek(a)-poloha_okna;
        %Inicializace rozdilu a testovaciho okna pro detekci koncu
        test_okno=obr_linie_median(poloha_prouzek(a):poloha_prouzek(a)+okno-1);
        rozdil=abs(test_okno(1)-test_okno(okno));
        poloha_okna=1;
        % Detekce koncu prouzku
        while rozdil~=0 || obr_linie_median(poloha_prouzek(a))==test_okno(2)
            test_okno=obr_linie_median(poloha_prouzek(a)+poloha_okna:poloha_prouzek(a)+poloha_okna+okno-1);
            rozdil=abs(test_okno(1)-test_okno(okno));
            poloha_okna=poloha_okna+1;
        end
        prouzky_konce(i,a)=poloha_prouzek(a)+poloha_okna;      
    end
end